//---------------------------------------------------------------------\\
//   ___            _                _ __    _ __                      \\
//  / __|    __    | |_     _  _    | '_ \  | '_ \   ___    _ _        \\
//  \__ \   / _|   | ' \   | +| |   | .__/  | .__/  / -_)  | ' \       \\
//  |___/   \__|_  |_||_|   \_,_|   |_|__   |_|__   \___|  |_||_|      \\
//---------------------------------------------------------------------\\
//-----| Copyright (c) 2013 Fredrik Kaupang (Kaupang Studios, Inc) |---\\
//-----| fredrik@kaupangstudios.com ------- www.kaupangstudios.com |---\\
//---------------------------------------------------------------------\\

#pragma strict

private var isPaused : boolean;
var pauseScreen : Transform;

private var BGAudioSource : AudioSource;

function Awake () {
	//Find main audio source
	BGAudioSource = GameObject.Find("BGaudio").audio;
}

function Update () {
	if (Input.GetKeyDown("space")) {
		SetPause(!isPaused);
	}
}

function SetPause (_isPaused : boolean) {
	isPaused = _isPaused;
	pauseScreen.gameObject.SetActiveRecursively(isPaused);

	SFXManager.PlayAudio(SFXManager.AUDIO_NAMES[9], SFXManager.AUDIO_VOLUMES[9]);
	iTween.AudioTo(BGAudioSource.gameObject,{"volume":(!isPaused ? 0.2 : 0.1),"time":1.0});
	
	SetLowPass(isPaused);
}

function SetLowPass (_isPaused : boolean) {
	var temp_isPaused : boolean = _isPaused;
	var lowPassFilter : AudioLowPassFilter =  (BGAudioSource.gameObject.GetComponent(AudioLowPassFilter) as AudioLowPassFilter);
	
	var temp_value : int = (!_isPaused ? 2500 : 15000);
	
	//Frequency 5000 - 15000
	for (var i:int=0; i<10; i++) {
		if (_isPaused != isPaused) break;
		
		temp_value += (!_isPaused ? 1250 : -1250);
		lowPassFilter.cutoffFrequency = temp_value;
		
		yield WaitForSeconds (0.02);
	}
}