using UnityEngine;
using System.Collections;

public class HH_Farm : MonoBehaviour {
	public static Vector3 origin = new Vector3(-6.6F,3.95F,-0.2F);
	public static Vector2 offset = new Vector2(1.65F,1.65F);
	
	public GameObject cropPrefab;
	
	void Start () {	
		for(int i=0; i<9; i++) {
			GameObject cropObject = (GameObject)Instantiate(cropPrefab,new Vector3(HH_Farm.origin.x+(i*HH_Farm.offset.x),HH_Farm.origin.y,HH_Farm.origin.z),Quaternion.Euler(new Vector3(90.0F,90.0F,270.0F)));
			cropObject.transform.parent = gameObject.transform;
			cropObject.name = "crop_"+i;
			crops[i] = cropObject.GetComponent<HH_Crop>();
		}
		for(int i=0; i<9; i++) {
			GameObject cropObject = (GameObject)Instantiate(cropPrefab,new Vector3(HH_Farm.origin.x+(i*HH_Farm.offset.x),HH_Farm.origin.y-HH_Farm.offset.y,HH_Farm.origin.z),Quaternion.Euler(new Vector3(90.0F,90.0F,270.0F)));
			cropObject.transform.parent = gameObject.transform;
			crops[9+i] = cropObject.GetComponent<HH_Crop>();
			cropObject.name = "crop_"+(9+i);
		}
	}
	
	void Update () {
	
	}
	
	// happiness 0-100
	public int GetHappiness() {
		return happiness;
	}
	
	public void AdjustHappiness(int adjustment) {
		happiness += adjustment;
		if(happiness < 0)
			happiness = 0;
		if(happiness > 100)
			happiness = 100;
		//Debug.Log("happiness="+happiness);
	}
	
	// money unlimited > 0
	public int GetMoney() {
		return money;
	}
	
	// highest money
	public int GetMaxMoney() {
		return maxMoney;
	}
	
	public void AdjustMoney(int adjustment) {
		
		money = money + adjustment;
		if(money < 0)
			money = 0;
		if(money > maxMoney)
			maxMoney = money;
		//Debug.Log("money="+money);
	}
	
	private HH_Crop[] crops = new HH_Crop[18];
	
	private int happiness = 50,
	            money = 50,
	            maxMoney = 0;
}