//---------------------------------------------------------------------\\
//   ___            _                _ __    _ __                      \\
//  / __|    __    | |_     _  _    | '_ \  | '_ \   ___    _ _        \\
//  \__ \   / _|   | ' \   | +| |   | .__/  | .__/  / -_)  | ' \       \\
//  |___/   \__|_  |_||_|   \_,_|   |_|__   |_|__   \___|  |_||_|      \\
//---------------------------------------------------------------------\\
//-----| Copyright (c) 2013 Fredrik Kaupang (Kaupang Studios, Inc) |---\\
//-----| fredrik@kaupangstudios.com ------- www.kaupangstudios.com |---\\
//---------------------------------------------------------------------\\

#pragma strict

private var isGameOver : boolean;

//--------------------------------------------\\
//--------------BEE-VARIABLES-----------------\\
//--------------------------------------------\\

private var MAX_BEE_QTY : int = 50;
static var bee_qty : int = 15;
private var bee_step : float = 2.50;

//--------------------------------------------\\
//--------------HONEY-VARIABLES---------------\\
//--------------------------------------------\\

private var honey_qty : int = 50;
private var honey_step : float = 1.00;
private var honey_timer : float;

//--------------------------------------------\\
//--------------------------------------------\\

private var timer : float;

var bee_text : TextMesh;
var honey_text : TextMesh;

function Start () {
	bee_text.renderer.material.color = Color.black;
	honey_text.renderer.material.color = Color.black;
}

function Update () {
	if (isGameOver) return;

	timer += Time.deltaTime;
	honey_timer += Time.deltaTime;
	
	if (timer >= bee_step) {
		timer = 0;
		
		if (honey_qty > 0) {
		
		if (bee_qty < MAX_BEE_QTY) {
			bee_qty++;
		} else if (bee_qty > MAX_BEE_QTY) {
			bee_qty--;
		}
		} else {
			bee_qty--;
		}
	}
	
	if (honey_timer >= honey_step) {
		honey_timer = 0;
		
		if (honey_qty == 0) {
			bee_qty -= bee_qty / 20;
		} else {
			honey_qty -= Mathf.FloorToInt(bee_qty / 20);
		}
	}
}

function LateUpdate () {
	if (isGameOver) return;
	
	if (bee_qty < 0) {
		isGameOver = true;
		GameObject.Find("UI_top").SendMessage("SetGameOver", SendMessageOptions.DontRequireReceiver);//GetComponent("Top_UI_Manager") as Top_UI_Manager).SetGameOver();
		
		bee_qty = 0;
	} else if (bee_qty == 0) {
		isGameOver = true;
		
		GameObject.Find("UI_top").SendMessage("SetGameOver", SendMessageOptions.DontRequireReceiver);//GetComponent("Top_UI_Manager") as Top_UI_Manager).SetGameOver();
	}
		
	if (honey_qty < 0) honey_qty = 0;
	
	bee_text.text = "" + bee_qty;
	honey_text.text = "" + honey_qty;
}

function BeeReturn (_qty : int, _cond : int) {
	if (_cond == 1) {
		bee_qty -= 10;
	} else {
		honey_qty += _qty;
	}
}

function CalculateHoneyConsumption (_bee_qty : int) {
	
}